import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher, RewardRateUnit } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { BluebitChef, BluebitContractFactory } from '../contracts';
export declare class AuroraBluebitFarmContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<BluebitChef> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: BluebitContractFactory;
    groupLabel: string;
    chefAddress: string;
    rewardRateUnit: RewardRateUnit;
    constructor(appToolkit: IAppToolkit, contractFactory: BluebitContractFactory);
    getContract(address: string): BluebitChef;
    getPoolLength(contract: BluebitChef): Promise<import("ethers").BigNumber>;
    getStakedTokenAddress(contract: BluebitChef, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: BluebitChef): Promise<string>;
    getTotalAllocPoints({ contract }: GetMasterChefDataPropsParams<BluebitChef>): Promise<BigNumberish>;
    getTotalRewardRate({ contract }: GetMasterChefDataPropsParams<BluebitChef>): Promise<BigNumberish>;
    getPoolAllocPoints({ contract, definition }: GetMasterChefDataPropsParams<BluebitChef>): Promise<BigNumberish>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<BluebitChef>): Promise<BigNumberish>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<BluebitChef>): Promise<BigNumberish>;
}
